Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001002SpeedFanOtherpublic2007-10-19 06:412008-05-12 14:35
Reporterryankabel 
Assigned Toalfredo 
PrioritynormalSeverityblockReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSWindows XP Media Center EditionOS Version2005
Product Version4.33 
Target VersionFixed in Version4.34 
Summary0001002: PC wont start after running Speedfan, possible BIOS/CMOS corruption
DescriptionAfter running Speedfan but not modifying any settings. The computer will not turn on (no output to monitor, BIOS wont pass POST, produces endless loop of long beeps indicating unknown error). Using CMOS reset jumper does not fix the problem.

As soon as Speedfan loaded all fans started running at full speed, with twice the noise as is usual even though CPU usage was low and CPU temperature was normal at 60 C. Windows Shut down normally after closing Speedfan, but will not start again.
Additional InformationHewlett-Packard/ASUS PTGD1-LA motherboard, with i915G chipset
Intel Pentium 4 HT processor, 2.80 ghz
1.5 GB RAM
Integrated, Intel GMA 900 graphics
Hitachi Deskstar 160GB HDD
Windows XP, Media Center Edition 2005, Update Rollup 2

Specs: http://h10025.www1.hp.com/ewfrf/wc/document?docname=c00196251&lc=en&cc=us&dlc=en&product=468379&lang=en [^]
TagsNo tags attached.
Motherboard Model
Video Card ModelIntegrated graphics, Intel i915G chipset ("Intel GMA 900")
Attached Files? file icon debug.nfo [^] (34,547 bytes) 2007-10-20 03:38
? file icon speedfanevents.cfg [^] (57 bytes) 2007-10-20 03:42
? file icon speedfanparams.cfg [^] (842 bytes) 2007-10-20 03:43
? file icon speedfansens.cfg [^] (3,114 bytes) 2007-10-20 03:43

- Relationships

-  Notes
(0003082)
alfredo (manager)
2007-10-19 09:26

Unplug the power cable for one minute and retry.
Are you using SpeedFan 4.33 or the latest beta?
(0003083)
ryankabel (reporter)
2007-10-19 22:21

Unplugging the power cable did not help. The version was 4.33, not the beta.
(0003084)
ryankabel (reporter)
2007-10-20 03:40

I was able to remove the hard drive and install it in another PC to read the debug.nfo file out of the C:/Program Files/SpeedFan/ directory, I have uploaded it here.
(0003085)
alfredo (manager)
2007-10-20 10:38

First of all, I'm sorry to read about this problem.
I checked my records and found several reports from the same hardware as yours and nobody ever reported any issue. I searched for similar hardware devices and no issue was ever found too.
The DME1737 hardware monitor device found at $2E on the SMBus (the device that changes fan speeds) is fully supported by SpeedFan based on the official SMSC datasheet. SpeedFan can access that device without any glitch and that device is available on several different motherboards. No issue was ever reported, even after changing fan speeds.
The identification of that device is for sure. Unless somebody creates a device that identifies itself like that one, SpeedFan will detect it with an extremely high confidence.
I looked at the source code and SpeedFan, just like you said, does not write anything to that device unless instructed to do so.
"Automatic fan speed" setting is OFF by default. This means that SpeedFan won't change anything unless instructed.
Even if you changed fan speeds by hand, I received several reports where I was told that SpeedFan can properly change fan speeds on motherboards that use the DME1737 hardware monitor device. It is extremely unlikely that you caused any harm by trying to change fan speeds.
In order to write to the BIOS you need to use a complex sequence of instructions. I have to admit that if I ever wanted to write to the BIOS on purpose I would need to read a lot of documentation and it would take really a lot of time to be able to do it.
During the 8 years that SpeedFan was available to the general public, only about 10 times it was required to unplug the power cable for some seconds and it always fixed the issue.
At the end of the URL you sent me there is this message: "CAUTION: Except when clearing the RTC RAM, never remove the cap from the default position. Removing the cap causes system boot failure!". I'm not sure about what does that message actually mean. I would ask for a clarification to HP.
My best guess is that different softwares (I include the OS in the list of "softwares") did some specific operations in a specific sequence leading to something that was not the original goal, but this is just a guess and it is extremely unlikely.
(0003108)
alfredo (manager)
2007-10-24 10:53

Any news?
(0003111)
ryankabel (reporter)
2007-10-24 19:08

Not yet. I have ordered a new motherboard, hopefully that should fix it (assuming the processor is OK, which it should be). To confirm that the problem was not with the power supply, I tried a different power supply and it did not change things.

The wording from the HP web site (http://h10025.www1.hp.com/ewfrf/wc/document?docname=c00196251&lc=en&cc=us&dlc=en&product=468379&lang=en [^]) appears to be taken straight from ASUS. For example, the manual for an ASUS brand motherboard roughly similar to mine (with the same 915G chipset) is the model P5GD1-VM says the exact same thing on page 31. (http://dlsvr03.asus.com/pub/ASUS/mb/socket775/P5GD1-VM/e1881_p5gd1-vm.pdf [^])
(0003113)
ryankabel (reporter)
2007-10-24 19:13

Also, mysteriously there was never a cap on the BIOS reset pins. It came from the factory without one (and worked without it for this long).
(0003163)
ryankabel (reporter)
2007-11-04 00:45

Installed new motherboard re-using the same power supply and CPU, which shows that the motherboard/BIOS/CMOS was the problem.
(0003199)
alfredo (manager)
2007-11-30 13:45

I spent the past 25 days exploring every possible cause of your issue. I searched my records and even found one report using SpeedFan 4.34 beta 34. That user adds in the notes that everything works great. Including fan speed change support. SpeedFan 4.33 was available for several months now and no issue like yours ever happened. According to all of the tests and checks that I could think of, SpeedFan was not the direct cause of the malfunction of your motherboard. Unfortunately, there might have been any number of different combinations of softwares running on your system while SpeedFan was run, but this is something out of my reach. I wrote some code to completely disable hardware detection on a motherboard like yours and was ready to enable that code, but I see to evidence that SpeedFan would do any harm on that hardware. On the contrary, I have evidence that it works flawlessly.
Whatever the reason, I'm sorry that you had to replace your motherboard and that it happened near the test of SpeedFan.
As a side note: can you find the ASUS A8000 chip depicted in the upper right side of your motherboard?
(0003539)
alfredo (manager)
2008-05-12 14:35

Other reports from the same motherboard did not show any issue. I spent a lot of time researching on this issue. My guess is that some very specific software combination could have triggered it. Anyway: SpeedFan 4.34 includes some changes in the code to prevent a very difficult to reproduce register race. Although I don't think that it could cause what you experienced, it was the only thing that could interfere with some other software. Once again: that register access race condition was extremely dificult to reproduce and, even if it did occurr, there is no direct connection with what your experienced.

- Issue History
Date Modified Username Field Change
2007-10-19 06:41 ryankabel New Issue
2007-10-19 06:41 ryankabel Status new => assigned
2007-10-19 06:41 ryankabel Assigned To => alfredo
2007-10-19 06:41 ryankabel Video Card Model => Integrated graphics, Intel i915G chipset ("Intel GMA 900")
2007-10-19 09:26 alfredo Note Added: 0003082
2007-10-19 09:26 alfredo Status assigned => acknowledged
2007-10-19 22:21 ryankabel Note Added: 0003083
2007-10-20 03:38 ryankabel File Added: debug.nfo
2007-10-20 03:40 ryankabel Note Added: 0003084
2007-10-20 03:42 ryankabel File Added: speedfanevents.cfg
2007-10-20 03:43 ryankabel File Added: speedfanparams.cfg
2007-10-20 03:43 ryankabel File Added: speedfansens.cfg
2007-10-20 10:38 alfredo Note Added: 0003085
2007-10-24 10:53 alfredo Note Added: 0003108
2007-10-24 19:08 ryankabel Note Added: 0003111
2007-10-24 19:13 ryankabel Note Added: 0003113
2007-11-04 00:45 ryankabel Note Added: 0003163
2007-11-30 13:45 alfredo Note Added: 0003199
2008-05-12 14:35 alfredo Note Added: 0003539
2008-05-12 14:35 alfredo Status acknowledged => closed
2008-05-12 14:35 alfredo Resolution open => fixed
2008-05-12 14:35 alfredo Fixed in Version => 4.34


Copyright © 2000 - 2018 MantisBT Team
Time: 0.3109 seconds.
memory usage: 8,125 KB
Powered by Mantis Bugtracker